### Cluster dialog

This dialog is displayed when you click Cluster on the system toolbar of the JReport Administration page. It helps you to configure the settings for a cluster. It is available only when your JReport Server license permits the cluster feature.

There are two panels in this dialog:

- Configuration panel
- Weight panel

#### Configuration panel

Use this panel to configure the servers in a cluster. See the panel.

Cluster Name

Specifies a name for the cluster. When cluster is enabled, you must specify a unique cluster name for all servers that will join the cluster to build the cluster.

Load Balancer Type

Specifies the built-in load balancing algorithm. Configurable algorithms for load balancing clustered servers are: Min-load, Round Robin, Weighted Min-load, and Random. For details about how these algorithms work, see JReport Server Cluster main features.

Cluster Scheduler Lease

Specifies whether to enable lease for a scheduler in the cluster. If this option is left unchecked, every scheduler in the cluster becomes an active scheduler.

Lease is a semaphore that enables a scheduler to be an active scheduler. If a scheduler is enabled with lease, it becomes an active scheduler and will compete to trigger the schedule. Each active scheduler can hold a lease for a period of time (which depends on the value you set in the Cluster Scheduler Lease Valid Time text field), and then transfers it to another scheduler in the cluster.

- Cluster Scheduler Lease Active Count
  Specifies the active lease number in the cluster. By setting the active lease number, you get to know how many active schedulers there are to compete to trigger the schedule. The property value should be an integer and the default value is 2.
- Cluster Scheduler Lease Valid Time
  Specifies the period of time that the clustered server can hold a lease before releasing it. The property value should be an integer in seconds and the default value is 300.
- Cluster Scheduler Lease Check Interval
  Specifies the time interval the cluster will use to check the number of active leases. The property value should be an integer in seconds and the default value is 30.

Cluster Storage History Number of Copies

Specifies how many copies will be made in the cluster when a new file or folder is added to the history folder. The property value should be an integer and the default value is 2.

Cluster Storage Realm Number of Copies

Specifies how many copies will be made in the cluster when a new file or folder is added to the realm folder. The property value should be an integer and the default value is 2.

Cluster Storage CRD Result Number of Copies

Specifies how many copies will be made in the cluster when a new file or folder is added to the cached report data (CRD) result folder. The property value should be an integer and the default value is 2.

Cluster Memory Storage Number of Copies

Specifies how many memory copies will be shared in the cluster. The property value should be a positive integer and the default value is 2.

If there are quite a few clustered servers in a JReport cluster, sharing memory in all cluster nodes would increase the network load exceedingly which may lead to poor server performance and scalability.

Notify via E-mail When a Server Is Down

Specifies whether to notify somebody via e-mail when a server in the cluster is down.

- E-mail Address
  Specifies the e-mail addresses of the people to whom you want to send a notification e-mail when a server in the cluster is down.

Properties Directory

Specifies the properties directory for storing system data. The properties directory of each clustered server should better point to a different physical location.

Realm Directory

Specifies the realm directory for storing system data. The realm directory of each clustered server should better point to a different physical location.

Resource Root

Specifies the report root directory for storing system data. The resource root of each clustered server should better point to a different physical location.

History Directory

Specifies the directory for storing report/catalog/result files. The history directory of each clustered server should better point to a different physical location.

Temporary Files Directory

Specifies the directory for storing temporary result files. Along with the running of JReport Server, temporary result files (generated by background run) will be written to the temp directory. Each clustered server should use an individual temp folder to store its temporary files generated during its working process.

Server's RMI Host

Specifies the RMI IP address or host name of the clustered server.

Server's RMI Port

Specifies the RMI port number of the clustered server.

Enable Cluster

Enables cluster on the server.

Save

Applies any changes to the server.

#### Weight panel

Use this tab to configure the performance weight on the clustered server. See the panel.

Catalog

Specifies the catalog that will be used for performance weight testing.

Report

Specifies the report that will be used for performance weight testing.

Clustered Server Name

Displays the name of the clustered server.

Performance Weight

If you have chosen the Weighted Min-load (loadbalance.type=2) algorithm for load balancing, you will have to configure a performance weight for each clustered server. See Configuring performance weight for how to set performance weight and how this algorithm works.

Performance weight is a positive float number. The higher performance weight you set to a clustered server, the higher chance it may get selected by the server which has the active scheduler during load balancing.

Test

Calculates each clustered server's performance weight value at current time.

OK

Applies the settings.

Cancel

Cancels the settings.

Help

Displays the help document about this feature.

###### Related topics:

- Setting up and starting a JReport Server Cluster
- Managing JReport Server Clusters